Bug 494551 - lightning needs an update
lightning needs an update
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sunbird (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 08:40 EDT by Gerd Hoffmann
Modified: 2009-05-06 05:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-30 05:04:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerd Hoffmann 2009-04-07 08:40:27 EDT
Description of problem:
the thunderbird-lightning package in rawhide doesn't work with
thunderbird 3beta

Version-Release number of selected component (if applicable):
# rpm -qa thunderbird\*
thunderbird-lightning-0.9-6.fc11.x86_64
thunderbird-3.0-2.1.beta2.fc11.x86_64

Additional info:
Looks like the original plan to integrate lightning into thunderbird3
has changed:  http://ascher.ca/blog/2009/02/18/lightning_update/

So we need an update for the lightning plugin for tb3 to not loose the
calendar functionality in F11.
Comment 1 Lubomir Rintel 2009-04-07 10:08:42 EDT
Thanks for bringing this to my attention.
Will take a look.
Comment 2 Nathaniel McCallum 2009-04-23 00:14:06 EDT
This should have a higher priority as this is a major regression.
Comment 3 Lubomir Rintel 2009-04-23 02:47:52 EDT
I'll do that this weekend, I'm in a time shortage due to $dayjob (and spring! :)
I already got it to build, just did not have time to package it.

It's quite a pity thunderbird maintainers did not let me know that they're breaking a dependency here...
Comment 4 Nathaniel McCallum 2009-04-28 07:55:17 EDT
Any luck?
Comment 5 Lubomir Rintel 2009-04-29 05:41:03 EDT
(In reply to comment #4)
> Any luck?  

Sorry, I was feeling sick, so I stayed in bed instead. New packages are done now; I'll wait a day or two before requesting them to be tagged into Fedora 11.

I'll be very thankful if you could test the package:
http://koji.fedoraproject.org/koji/buildinfo?buildID=100160

Notes: Translations are not installed for lightning. Upstream is not doing nightly builds of language packs and I could not figure out how to create them. I will probably push the new package with translations once language packs are done.
Comment 6 Gerd Hoffmann 2009-04-29 10:56:48 EDT
Fetched, installed, works ok.  Well, there are still some issues, but no obvious regressions compared to the tb2 + lightning-0.9 combo.  The integration with the new tabs in tb3 is nice.  Thanks.
Comment 7 Nathaniel McCallum 2009-04-29 14:35:22 EDT
Seems to work well for me.  No major glaring defects.  Thanks for your work, even when you were sick.  I hope you feel better!
Comment 8 Lubomir Rintel 2009-04-29 15:11:04 EDT
(In reply to comment #7)
> Seems to work well for me.  No major glaring defects.  Thanks for your work,
> even when you were sick.  I hope you feel better!  

Nah, that's what one gets for getting drunk outside when it's freezingly cold :]

I've filled a ticket for getting this tagged into F11 final. Thanks for your feedback! https://fedorahosted.org/rel-eng/ticket/1689#preview
Comment 9 Lubomir Rintel 2009-04-30 05:04:01 EDT
So... this was accepted for Fedora 11 and will land (or already has) into rawhide soonish.
Comment 10 Gianluca Cecchi 2009-05-06 05:01:12 EDT
Hello, after update it seems I'm not able to start tb anymore.
[gcecchi@tekkafedora ~]$ rpm -qa|grep thunder
thunderbird-3.0-2.1.beta2.fc11.x86_64
thunderbird-lightning-1.0-0.2.20090302hg.fc11.x86_64

when I run thunderbird from command line, I get the password pronpt for my imap account, then the window remains freezed without any possibility to click anywhere.

On console I see only 
[gcecchi@tekkafedora ~]$ thunderbird 
Warning: Warning:  Using guessed timezone
  Europe/Rome (UTC+0100/+0200).
This ZoneInfo timezone seems to match the operating system timezone this year.
This ZoneInfo timezone was chosen based on the operating system timezone
identifier "/etc/sysconfig/clock: ZONE="Europe/Rome"".

If I do an strace I get:
[gcecchi@tekkafedora ~]$ ps -ef|grep thunde
gcecchi   1081  1052  0 10:54 pts/2    00:00:00 /bin/sh /usr/lib64/thunderbird-3.0b2/thunderbird
gcecchi   1086  1081  0 10:54 pts/2    00:00:00 /bin/sh /usr/lib64/thunderbird-3.0b2/run-mozilla.sh /usr/lib64/thunderbird-3.0b2/thunderbird-bin
gcecchi   1090  1086  8 10:54 pts/2    00:00:02 /usr/lib64/thunderbird-3.0b2/thunderbird-bin
[gcecchi@tekkafedora ~]$ strace -p 1090
Process 1090 attached - interrupt to quit
restart_syscall(<... resuming interrupted call ...>) = 1
read(15, "\372"..., 1)                  = 1
read(3, 0x7fe969867074, 4096)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN|POLLPRI}, {fd=22, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN}, {fd=10, events=POLLIN|POLLPRI}, {fd=36, events=POLLIN}, {fd=15, events=POLLIN}], 11, 0) = 0 (Timeout)
read(3, 0x7fe969867074, 4096)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN|POLLPRI}, {fd=22, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN}, {fd=10, events=POLLIN|POLLPRI}, {fd=36, events=POLLIN}, {fd=15, events=POLLIN}], 11, -1) = 1 ([{fd=15, revents=POLLIN}])
read(15, "\372"..., 1)                  = 1
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\200\1\2\0<\1\0\0"..., 8}, {NULL, 0}, {""..., 0}], 3) = 8
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\3\4G\0\0\0\0;\1\0\0\0\0\0\0\36\0\0\0\0\0\0\0\0\301\301\2\0\0\0\0"..., 4096) = 32
read(3, 0x7fe969867074, 4096)           = -1 EAGAIN (Resource temporarily unavailable)
read(3, 0x7fe969867074, 4096)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN|POLLPRI}, {fd=22, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN}, {fd=10, events=POLLIN|POLLPRI}, {fd=36, events=POLLIN}, {fd=15, events=POLLIN}], 11, 0) = 0 (Timeout)
read(3, 0x7fe969867074, 4096)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN|POLLPRI}, {fd=22, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN}, {fd=10, events=POLLIN|POLLPRI}, {fd=36, events=POLLIN}, {fd=15, events=POLLIN}], 11, -1) = 1 ([{fd=15, revents=POLLIN}])
read(15, "\372"..., 1)                  = 1
futex(0x7fe9698ff44c, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0x7fe9698ff448, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
read(3, 0x7fe969867074, 4096)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN}, {fd=21, events=POLLIN|POLLPRI}, {fd=22, events=POLLIN|POLLPRI}, {fd=23, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN}, {fd=10, events=POLLIN|POLLPRI}, {fd=36, events=POLLIN}, {fd=15, events=POLLIN}], 11, 0) = 0 (Timeout)
read(3, 0x7fe969867074, 4096)           = -1 EAGAIN (Resource temporarily unavailable)

Do I have to reset any previous (0.9) lightning configuration anywhere?
Thanks,
Gianluca
Comment 11 Lubomir Rintel 2009-05-06 05:20:00 EDT
Gianluca: Commenting a closed unrelated bug is hardly a good way to get attention for your problem. Open separate tickets for separate problems.

Note You need to log in before you can comment on or make changes to this bug.